# Cookies

- [delete\_all\_cookies](https://docs.pylenium.io/driver-commands/cookies/delete_all_cookies.md): The command to delete all cookies in the current browser session.
- [delete\_cookie](https://docs.pylenium.io/driver-commands/cookies/delete_cookie.md): The command to delete a cookie with the given name.
- [get\_all\_cookies](https://docs.pylenium.io/driver-commands/cookies/get_cookies.md): The command to get all cookies in the current browser session.
- [get\_cookie](https://docs.pylenium.io/driver-commands/cookies/get_cookie.md): The command to get the cookie with the given name.
- [set\_cookie](https://docs.pylenium.io/driver-commands/cookies/set_cookie.md): The command to set a cookie into the current browser session.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/driver-commands/cookies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
